package com.liquidnet.service.goblin.service;

import com.liquidnet.service.goblin.dto.vo.*;
import com.liquidnet.service.goblin.entity.GoblinFrontHotWord;

import java.awt.*;
import java.text.ParseException;
import java.util.ArrayList;
import java.util.List;

public interface GoblinFrontService {

    /***
     * @author zhangfuxin
     * @Description:获取banner
     * @date 2022/1/5 下午2:31
     */
    ArrayList<GoblinFrontBannerVo> getListBanner();
    /***
     * @author zhangfuxin
     * @Description:获取热词
     * @date 2022/1/5 下午2:31
     */
    GoblinFrontHotWord  getHotWord();

    /**
     * @author zhangfuxin
     * @Description:获得金刚位
     * @date 2022/1/5 下午2:51
     */
    GoblinFrontNavigationVoo getNavigation();

    /**
     * 获得秒杀首页要用的
     * @return
     */
    GoblinFrontSeckillVo getSeckilll() throws ParseException;
    /**
     * @author zhangfuxin
     * @Description:精选商品列表
     * @date 2022/1/5 下午3:00
     */
    GoblinFrontSelectGoodVo getSelectGoods(int page, int pageSize);

    /**
     * 按演出ID查询已关联商品列表
     */
    GoblinSqbPerformanceSelectGoodVo getPerformanceSelectGoods(String performancesId, int page, int pageSize);

    //根据艺人标签和演出id查询商品列表
    List<GoblinGoodsInfoVo> getGoodByMusicTagP(String musicTag, String performanceId);

}
